For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Create a new flag import configuration. The integrationKey path parameter identifies the feature management system from which the import occurs, for example, split. The config object in the request body schema is described by the global integration settings, as specified by the formVariables in the manifest.json for this integration. It varies slightly based on the integrationKey.
curl --request POST \
--url https://app.launchdarkly.com/api/v2/integration-capabilities/flag-import/{projectKey}/{integrationKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"environmentId": "The ID of the environment in the external system",
"ldApiKey": "An API key with create flag permissions in your LaunchDarkly account",
"ldMaintainer": "The ID of the member who will be the maintainer of the imported flags",
"ldTag": "A tag to apply to all flags imported to LaunchDarkly",
"splitTag": "If provided, imports only the flags from the external system with this tag. Leave blank to import all flags.",
"workspaceApiKey": "An API key with read permissions in the external feature management system",
"workspaceId": "The ID of the workspace in the external system"
},
"name": "Sample configuration",
"tags": [
"example-tag"
]
}
'{
"_links": {
"self": {
"href": "<string>",
"type": "<string>"
},
"parent": {
"href": "<string>",
"type": "<string>"
},
"project": {
"href": "<string>",
"type": "<string>"
}
},
"_id": "12ab3c4d5ef1a2345bcde67f",
"integrationKey": "split",
"projectKey": "default",
"config": {},
"tags": [],
"name": "Development environment configuration",
"version": 1,
"_status": {
"status": "pending",
"lastImport": "1717263000000",
"lastError": "1714584600000",
"errors": [
{
"integrationId": "<string>",
"message": "<string>",
"statusCode": 123,
"timestamp": 123
}
]
},
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The integration key
The global configuration settings, as specified by the formVariables in the manifest.json for this configuration.
Show child attributes
"{\"workspaceApiKey\": \"An API key with read permissions in the external feature management system\", \"workspaceId\": \"The ID of the workspace in the external system\", \"environmentId\": \"The ID of the environment in the external system\", \"splitTag\": \"If provided, imports only the flags from the external system with this tag. Leave blank to import all flags.\", \"ldApiKey\": \"An API key with create flag permissions in your LaunchDarkly account\", \"ldTag\": \"A tag to apply to all flags imported to LaunchDarkly\", \"ldMaintainer\": \"The ID of the member who will be the maintainer of the imported flags\"}"
Tags to associate with the configuration
["example-tag"]Name to identify the configuration
"Sample configuration"
Flag Import Configuration response
The location and content type of related resources
Show child attributes
The integration ID
"12ab3c4d5ef1a2345bcde67f"
The integration key
split, unleash "split"
The project key
"default"
The configuration for the given import integration. Only included when requesting a single integration by ID. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.
Show child attributes
List of tags for this configuration
[]Name of the configuration
"Development environment configuration"
Version of the current configuration
1
Details on the status of the import job
Show child attributes
Details on the allowed and denied actions for this configuration
Show child attributes
curl --request POST \
--url https://app.launchdarkly.com/api/v2/integration-capabilities/flag-import/{projectKey}/{integrationKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"environmentId": "The ID of the environment in the external system",
"ldApiKey": "An API key with create flag permissions in your LaunchDarkly account",
"ldMaintainer": "The ID of the member who will be the maintainer of the imported flags",
"ldTag": "A tag to apply to all flags imported to LaunchDarkly",
"splitTag": "If provided, imports only the flags from the external system with this tag. Leave blank to import all flags.",
"workspaceApiKey": "An API key with read permissions in the external feature management system",
"workspaceId": "The ID of the workspace in the external system"
},
"name": "Sample configuration",
"tags": [
"example-tag"
]
}
'{
"_links": {
"self": {
"href": "<string>",
"type": "<string>"
},
"parent": {
"href": "<string>",
"type": "<string>"
},
"project": {
"href": "<string>",
"type": "<string>"
}
},
"_id": "12ab3c4d5ef1a2345bcde67f",
"integrationKey": "split",
"projectKey": "default",
"config": {},
"tags": [],
"name": "Development environment configuration",
"version": 1,
"_status": {
"status": "pending",
"lastImport": "1717263000000",
"lastError": "1714584600000",
"errors": [
{
"integrationId": "<string>",
"message": "<string>",
"statusCode": 123,
"timestamp": 123
}
]
},
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}